const gulp = require('gulp');
const replace = require('gulp-replace');
const sass = require('node-sass');
const babel = require('@babel/core');

function defaultTask(cb) {
  gulp.src('./components_src/*')
    .pipe(replace(/(?<=<style[^>]*>)([\s\S]+?)(?=<\/style>)/gi, (match, p1, offset, string) => {
      const result = sass.renderSync({
        data: p1
      });
      return result.css;
    }))
    .pipe(replace(/(?<=<script[^>]*>)([\s\S]+?)(?=<\/script>)/gi, (match, p1, offset, string) => {
      return babel.transformSync(p1, {
        presets: ['@babel/env'],
        sourceType: 'script',
      }).code;
    }))
    .pipe(gulp.dest('./components'));
  cb();
}

exports.default = defaultTask;

exports.watch = () => {
  gulp.watch('./components_src/*', defaultTask);
};
