<?php

namespace Drupal\sfc_example\Plugin\SingleFileComponent;

use Drupal\sfc\ComponentBase;

/**
 * Contains an example single file component that uses ATTACH/DETACH.
 *
 * @SingleFileComponent(
 *   id = "click_counter",
 *   group = "Example",
 * )
 */
class ClickCounter extends ComponentBase {

  const TEMPLATE = <<<TWIG
<button class="click-counter">Clicked 0 times</button>
TWIG;

  const SELECTOR = '.click-counter';

  const ATTACH = <<<JS
var count = 0;
$(this).on('click.sfc_click_counter', function () {
  $(this).text('Clicked ' + ++count + ' times');
});
JS;

  const DETACH = <<<JS
$(this).off('click.sfc_click_counter');
JS;

}
