<?php

namespace Drupal\sfc_example\Plugin\SingleFileComponent;

use Drupal\sfc\ComponentBase;

/**
 * Contains an example component to show how external CSS or JS works.
 *
 * @SingleFileComponent(
 *   id = "current_year",
 *   group = "Example"
 * )
 */
class CurrentYear extends ComponentBase {

  const TEMPLATE = <<<TWIG
<div class="current-year">The current year is {{ 'now'|date('Y') }}!</div>
TWIG;

  const LIBRARY = [
    'css' => [
      'theme' => [
        'css/current_year.css' => [],
      ],
    ],
  ];

}
