<?php

namespace Drupal\Tests\sfc_example\FunctionalJavascript;

use Drupal\FunctionalJavascriptTests\WebDriverTestBase;
use Drupal\Tests\sfc\Functional\FunctionalComponentTestTrait;

/**
 * Tests the click_color.sfc component.
 *
 * @group sfc_example
 * @group functional
 *
 * @codeCoverageIgnore
 */
class ClickColorTest extends WebDriverTestBase {

  use FunctionalComponentTestTrait;

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'sfc',
    'sfc_example',
    'sfc_test',
  ];

  /**
   * Tests that the click color component works.
   */
  public function testClickColor() {
    $assert_session = $this->assertSession();
    $this->visitComponent('click_color', []);
    $element = $assert_session->elementExists('css', '.click-color');
    $assert_session->pageTextContains('Click to change the color!');
    $last_style = $element->getAttribute('style');
    $this->click('.click-color');
    $this->assertNotEquals($last_style, $element->getAttribute('style'));
    $last_style = $element->getAttribute('style');
    $this->click('.click-color');
    $this->assertNotEquals($last_style, $element->getAttribute('style'));
  }

}
