<?php

namespace Drupal\Tests\sfc_example\FunctionalJavascript;

use Drupal\FunctionalJavascriptTests\WebDriverTestBase;
use Drupal\Tests\sfc\Functional\FunctionalComponentTestTrait;

/**
 * Tests the ClickCounter component.
 *
 * @group sfc_example
 * @group functional
 *
 * @codeCoverageIgnore
 */
class ClickCounterTest extends WebDriverTestBase {

  use FunctionalComponentTestTrait;

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'sfc',
    'sfc_example',
    'sfc_test',
  ];

  /**
   * Tests that the click counter works.
   */
  public function testClickCounter() {
    $assert_session = $this->assertSession();
    $this->visitComponent('click_counter', []);
    $assert_session->elementExists('css', '.click-counter');
    $assert_session->pageTextContains('Clicked 0 times');
    $this->click('.click-counter');
    $assert_session->pageTextContains('Clicked 1 times');
  }

}
